#include "../../internal-include/CD/cd_internal.hpp"
#include <PSX/Audio/CDXA.hpp>

namespace JabyEngine {
    namespace CDXA {
        namespace CD = JabyEngine::CD::internal;

        void play(const volatile AutoLBAEntry* lba, const CDFile& file, uint8_t channel) {
            static constexpr uint8_t File = 0;

            CD::enable_CDXA(false);
            CD::Command::send_wait<CD_IO::PortIndex0>(CD_IO::Command::Filter, File, channel);
            CD::read_s(lba[file.rel_lba_idx].get_lba());
        }

        void stop() {
            CD::pause();
        }
    }
}